path: /build/build/regex-dev-python-2024.5.15.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/regex -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/regex
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/regex && luet-portage --dir /pkgdir/regex
    dev-python/regex && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:c7291fecab22d7e98fe984ccecf0c9665a6891a9b32134b78b50d92ba8dd5e92
  package:
    name: regex
    version: 2024.5.15
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Alternative regular expression module, to replace re.
    uri:
    - https://github.com/mrabarnett/mrab-regex https://pypi.org/project/regex/
    license: Apache-2.0
    buildtimestamp: 2024-05-23 21:10:21.294128354 +0000 UTC m=+143.534074534
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python2_7 python_targets_python3_10 python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8
      RDEPEND: python_targets_python2_7? ( dev-python/regex-compat ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) python_targets_python3_7? ( dev-lang/python:3.7 )
        python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/regex
      kit: python-modules-kit
      original.package.name: dev-python/regex
      original.package.slot: "0"
      original.package.version: 2024.5.15
    treedir: /build/packages
  package_dir: /pkgdir/regex
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a3cd7ec08e8f486a300707040ce3861d62e13e393af981742cdb5befe55bd489
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/regex/__init__.py
- usr/lib/python3.9/site-packages/regex/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/_regex_core.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/_regex_core.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/_regex_core.cpython-39.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/regex.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/regex.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/regex.cpython-39.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/test_regex.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/test_regex.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/test_regex.cpython-39.pyc
- usr/lib/python3.9/site-packages/regex/_regex.cpython-39-x86_64-linux-gnu.so
- usr/lib/python3.9/site-packages/regex/_regex_core.py
- usr/lib/python3.9/site-packages/regex/regex.py
- usr/lib/python3.9/site-packages/regex/test_regex.py
- usr/lib/python3.9/site-packages/regex-2024.5.15.dist-info/METADATA
- usr/lib/python3.9/site-packages/regex-2024.5.15.dist-info/RECORD
- usr/lib/python3.9/site-packages/regex-2024.5.15.dist-info/WHEEL
- usr/lib/python3.9/site-packages/regex-2024.5.15.dist-info/top_level.txt
- usr/share/doc/regex-2024.5.15/README.rst.bz2
- var/db/pkg/dev-python/regex-2024.5.15/BDEPEND
- var/db/pkg/dev-python/regex-2024.5.15/BUILD_TIME
- var/db/pkg/dev-python/regex-2024.5.15/CATEGORY
- var/db/pkg/dev-python/regex-2024.5.15/CBUILD
- var/db/pkg/dev-python/regex-2024.5.15/CFLAGS
- var/db/pkg/dev-python/regex-2024.5.15/CHOST
- var/db/pkg/dev-python/regex-2024.5.15/CONTENTS
- var/db/pkg/dev-python/regex-2024.5.15/COUNTER
- var/db/pkg/dev-python/regex-2024.5.15/CXXFLAGS
- var/db/pkg/dev-python/regex-2024.5.15/DEFINED_PHASES
- var/db/pkg/dev-python/regex-2024.5.15/DESCRIPTION
- var/db/pkg/dev-python/regex-2024.5.15/EAPI
- var/db/pkg/dev-python/regex-2024.5.15/FEATURES
- var/db/pkg/dev-python/regex-2024.5.15/HOMEPAGE
- var/db/pkg/dev-python/regex-2024.5.15/INHERITED
- var/db/pkg/dev-python/regex-2024.5.15/IUSE
- var/db/pkg/dev-python/regex-2024.5.15/IUSE_EFFECTIVE
- var/db/pkg/dev-python/regex-2024.5.15/KEYWORDS
- var/db/pkg/dev-python/regex-2024.5.15/LDFLAGS
- var/db/pkg/dev-python/regex-2024.5.15/LICENSE
- var/db/pkg/dev-python/regex-2024.5.15/NEEDED
- var/db/pkg/dev-python/regex-2024.5.15/PF
- var/db/pkg/dev-python/regex-2024.5.15/PROVIDES
- var/db/pkg/dev-python/regex-2024.5.15/RDEPEND
- var/db/pkg/dev-python/regex-2024.5.15/REQUIRES
- var/db/pkg/dev-python/regex-2024.5.15/SIZE
- var/db/pkg/dev-python/regex-2024.5.15/SLOT
- var/db/pkg/dev-python/regex-2024.5.15/USE
- var/db/pkg/dev-python/regex-2024.5.15/environment.bz2
- var/db/pkg/dev-python/regex-2024.5.15/regex-2024.5.15.ebuild
- var/db/pkg/dev-python/regex-2024.5.15/repository
package_cacheimage: ""
runtime:
  name: regex
  version: 2024.5.15
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Alternative regular expression module, to replace re.
  uri:
  - https://github.com/mrabarnett/mrab-regex https://pypi.org/project/regex/
  license: Apache-2.0
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python2_7 python_targets_python3_10 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8
    RDEPEND: python_targets_python2_7? ( dev-python/regex-compat ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/regex
    kit: python-modules-kit
    original.package.name: dev-python/regex
    original.package.slot: "0"
    original.package.version: 2024.5.15
